# Run testinfra tests

Test host configured in `test/inventory.yml`

    py.test -v --ansible-inventory=../inventory.yml --hosts='ansible://*'

Specify host manually:

    py.test -v --hosts='ssh://root@varac-oas.openappstack.net'

Run cert test manually using the ansible inventory file:

    OAS_DOMAIN='varac-oas.openappstack.net' py.test -v -m 'certs' \
      --connection=ansible \
      --ansible-inventory=../ansible/inventory.yml \
      --hosts='ansible://*'

Run cert test manually against a different cluster, not configured in any
ansible inventory file:

	OAS_DOMAIN='varac-oas.openappstack.net' py.test -v -m 'certs'

# Issues

- Default ssh backend is `paramiko`, which doesn't work oout of the
  box. It fails to connect to the host because the `ed25519` hostkey
  was not verified. Therefore we need to force plain ssh:// with either
  `connection=ssh` or `--hosts=ssh://…`
